--- libvirt.orig/src/virsh.c	2007-07-26 17:41:16.000000000 +0900
+++ libvirt.logfile/src/virsh.c	2007-08-02 15:17:48.000000000 +0900
@@ -4305,6 +4305,13 @@ vshOpenLogFile(vshControl *ctl)
     if ((ctl->log_fd = open(ctl->logfile, O_WRONLY | O_APPEND | O_CREAT | O_SYNC, FILE_MODE)) < 0) {
         vshError(ctl, TRUE, _("failed to open the log file. check the log file path"));
     }
+
+    if(!strncmp(ctl->logfile, "-", 1))
+    {
+        vshPrint(ctl, 
+                 _("Warnig: argument %s works as virsh log file name.\n"),
+                 ctl->logfile);
+    }
 }
 
 /**
